#include <iostream.h>
#include <fstream.h>
#include <cstring>      //      ( )
#include "c_Go.h"
#include "d_Board.h"
#include "d_Loop.h"

using namespace std;
//-----------------------------------------------------------------------------------
/*
 *    
 *
 *  ChessTerminator75
 *   14.06.2007
          

*/

//	===================================================================

/*
< info currmove e8e7 (current calculated move)
< info currmovenumber 29
< info nps 291506 (nodes per sec, Fritz calculates the nps itself)
< info tbhits 830
< info depth 9
< info score cp12 (in centipawns)
< info score mate 5 (or mate -5)
< info nodes 288973
< info time 11192 (milliseconds)
< info pv e2e4 e7e5 g1f3 b8c6 f1d3 f8c5 e1g1 g8e7 b1c3 

(Shredder Classic don?t show the PV info, if it stands alone with no other infos, Fritz shows some infos only after depth 6!) 

< info hashfull 999 (Hashtableusage in permill, not shown by Fritz)
< info cpuload 999 (CPU usage in permill, not shown by Fritz) 

The infos can be also combinied: 

< info depth 9 score cp 12 nodes 3266879 time 11192 pv e2e4 e7e5 g1f3 b8c6 f1d3 f8c5 e1g1 g8e7 b1c3 

< info string smp processes := 1 

The Move (Engine to GUI): 

< bestmove e2e4 

or for promotion to knight: 

< bestmove d7d8N 

Before the bestmove the engine should send a final info 

*/


void parse_go(char string_in[],T_board_list_816 * board_list_816){

//   go    -----------------------------
//   > go depth 5 

int Depth_Max=1;
int Depth_10 =1;
int Depth_1  =1;
char * depth;
//    depth
   depth = strstr(string_in,"depth ");
 if (depth != NULL) {
  int i=0;
  while (depth[i]!=' '){
	  i=i+1;
  }//while (depth[i]!=' '){
// void
  while (depth[i]==' '){
	  i=i+1;
  }//while (depth[i]==' ')

  //Depth_Max=(depth[i]-'0');
  //depth   = NULL;

Depth_10 =(depth[i]-'0');
i=i+1;
Depth_1 = (depth[i]-'0');

if ( (depth[i] == '\0') || (depth[i] == ' ')){
//if ( Depth_1 == -48){
Depth_Max=Depth_10;
}else{
Depth_Max=10*Depth_10+Depth_1;
}
 }else {
  Depth_Max=5;
 }//if (depth != NULL)
//----------------------------------------------------------
 if(Depth_Max>9){
   Depth_Max=9;
 }//if(Depth_Max>9){

/*
              
      
       Loop     
*/

//      chess_board,Depth_Max
 Loop(board_list_816,Depth_Max);

}//parse_go(char string_in[],int chess_board[]){
//	*******************************************************************
